<!DOCTYPE html>

<html lang="en">
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width">
	<title>Plait Plugins Docs Module: tradfri</title>

	<!--[if lt IE 9]>
	<script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
	<![endif]-->
	<link type="text/css" rel="stylesheet" href="styles/sunlight.default.css">

	<link type="text/css" rel="stylesheet" href="styles/site.cosmo.css">

</head>

<body>

<div class="navbar navbar-default navbar-fixed-top navbar-inverse">
<div class="container">
	<div class="navbar-header">
		<a class="navbar-brand" href="index.html">Plait Plugins Docs</a>
		<button class="navbar-toggle" type="button" data-toggle="collapse" data-target="#topNavigation">
			<span class="icon-bar"></span>
			<span class="icon-bar"></span>
			<span class="icon-bar"></span>
        </button>
	</div>
	<div class="navbar-collapse collapse" id="topNavigation">
		<ul class="nav navbar-nav">
			
			<li class="dropdown">
				<a href="modules.list.html" class="dropdown-toggle" data-toggle="dropdown">Modules<b class="caret"></b></a>
				<ul class="dropdown-menu ">
					<li><a href="module-ableton_ableton.html">ableton/ableton</a></li><li><a href="module-control_control.html">control/control</a></li><li><a href="module-d-pro_d-pro.html">d-pro/d-pro</a></li><li><a href="module-data_data.html">data/data</a></li><li><a href="module-devices_device.html">devices/device</a></li><li><a href="module-devices_devices.html">devices/devices</a></li><li><a href="module-logic_logic.html">logic/logic</a></li><li><a href="module-messenger.html">messenger</a></li><li><a href="module-plugin.html">plugin</a></li><li><a href="module-sound_sound.html">sound/sound</a></li><li><a href="module-telegram_client.html">telegram/client</a></li><li><a href="module-telegram.html">telegram</a></li><li><a href="module-time.html">time</a></li><li><a href="module-tradfri.html">tradfri</a></li><li><a href="module-phone.html">phone</a></li><li><a href="module-twilio.html">twilio</a></li>
				</ul>
			</li>
			
			<li class="dropdown">
				<a href="classes.list.html" class="dropdown-toggle" data-toggle="dropdown">Classes<b class="caret"></b></a>
				<ul class="dropdown-menu ">
					<li><a href="module-ableton_ableton-Liveset.html">ableton/ableton~Liveset</a></li><li><a href="module-control_control-SessionControl.html">control/control~SessionControl</a></li><li><a href="module-d-pro_d-pro-Show.html">d-pro/d-pro~Show</a></li><li><a href="module-data_data-Data.html">data/data~Data</a></li><li><a href="module-data_data-CollectionAPI.html">data/data~CollectionAPI</a></li><li><a href="module-devices_device-Device.html">devices/device~Device</a></li><li><a href="module-devices_device-UDPdevice.html">devices/device~UDPdevice</a></li><li><a href="module-devices_device-OSCdevice.html">devices/device~OSCdevice</a></li><li><a href="module-devices_device-TCPdevice.html">devices/device~TCPdevice</a></li><li><a href="module-devices_device-Webdevice.html">devices/device~Webdevice</a></li><li><a href="module-devices_device-Serialdevice.html">devices/device~Serialdevice</a></li><li><a href="module-devices_device-Mididevice.html">devices/device~Mididevice</a></li><li><a href="module-logic_logic-Logic.html">logic/logic~Logic</a></li><li><a href="module-logic_logic-Condition.html">logic/logic~Condition</a></li><li><a href="module-logic_logic-Listener.html">logic/logic~Listener</a></li><li><a href="module-logic_logic-PEventListener.html">logic/logic~PEventListener</a></li><li><a href="module-messenger-Messenger.html">messenger~Messenger</a></li><li><a href="module-messenger-Conversation.html">messenger~Conversation</a></li><li><a href="module-messenger-Agent.html">messenger~Agent</a></li><li><a href="module-plugin-Plugin.html">plugin~Plugin</a></li><li><a href="module-plugin-Collection.html">plugin~Collection</a></li><li><a href="module-plugin-Item.html">plugin~Item</a></li><li><a href="module-telegram_client-Agent.html">telegram/client~Agent</a></li><li><a href="module-telegram_client-Client.html">telegram/client~Client</a></li><li><a href="module-telegram_client-Bot.html">telegram/client~Bot</a></li><li><a href="module-telegram-Telegram.html">telegram~Telegram</a></li><li><a href="module-telegram-Conversation.html">telegram~Conversation</a></li><li><a href="module-telegram-Edit.html">telegram~Edit</a></li><li><a href="module-telegram-Message.html">telegram~Message</a></li><li><a href="module-phone-Phone.html">phone~Phone</a></li><li><a href="module-twilio-Switchboard.html">twilio~Switchboard</a></li><li><a href="module-twilio-SmsIn.html">twilio~SmsIn</a></li><li><a href="module-twilio-Call.html">twilio~Call</a></li><li><a href="module-twilio-CallIn.html">twilio~CallIn</a></li>
				</ul>
			</li>
			
		</ul>
        
            <div class="col-sm-3 col-md-3">
                <form class="navbar-form" role="search">
                    <div class="input-group">
                        <input type="text" class="form-control" placeholder="Search" name="q" id="search-input">
                        <div class="input-group-btn">
                            <button class="btn btn-default" id="search-submit"><i class="glyphicon glyphicon-search"></i></button>
                        </div>
                    </div>
                </form>
            </div>
        
	</div>

</div>
</div>


<div class="container" id="toc-content">
<div class="row">

	
	<div class="col-md-8">
	
		<div id="main">
			

	<h1 class="page-title">Module: tradfri</h1>
<section>

<header>
    
</header>


<article>
    <div class="container-overview">
    
        
            <div class="description"><p>control IKEA Tradfri devices like light bulbs.<br>Requires at least one IKEA Tradfri Gateway</p></div>
        

        
<dl class="details">
    

	

	

	

    

    

    

    

	

	

	

	

	



	
	<dt class="tag-source method-doc-label method-doc-details-label">Source:</dt>
	<dd class="tag-source">
		<ul class="dummy">
			<li>
				<a href="tradfri_tradfri.js.html">tradfri/tradfri.js</a>,
				 <a href="tradfri_tradfri.js.html#sunlight-1-line-1">line 1</a>
			</li>
		</ul>
	</dd>
	

	

	

	
</dl>


        
    
    </div>

    

    
        <h3 class="subsection-title">Requires</h3>

        <ul>
            <li>module:node-tradfri-client</li>
        </ul>
    

    

    

    

    

    
        <h3 class="subsection-title">Methods</h3>

        <dl>
            
<hr>
<dt>
    <h4 class="name" id="~setup"><span class="type-signature">&lt;inner> </span>setup()</h4>
    
    
</dt>
<dd>

    

    

    

    
    
        <h5>Parameters:</h5>
        

<table class="params table table-striped">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>config.game</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>



            
            </td>

            

            

            <td class="description last"><p>Name of game that required this module</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>config.collection</code></td>
            

            <td class="type">
            
                
<span class="param-type">Object</span>



            
            </td>

            

            

            <td class="description last"><p>Databse collection connector for the tradfri module</p></td>
        </tr>

    
    </tbody>
</table>

    

    
<dl class="details">
    

	

	

	

    

    

    

    

	

	

	

	

	



	
	<dt class="tag-source method-doc-label method-doc-details-label">Source:</dt>
	<dd class="tag-source">
		<ul class="dummy">
			<li>
				<a href="tradfri_tradfri.js.html">tradfri/tradfri.js</a>,
				 <a href="tradfri_tradfri.js.html#sunlight-1-line-59">line 59</a>
			</li>
		</ul>
	</dd>
	

	

	

	
</dl>


    

    

    

    

    

    

    
</dd>

        
            
<hr>
<dt>
    <h4 class="name" id="~settings"><span class="type-signature">&lt;inner> </span>settings(new_settings)</h4>
    
    
</dt>
<dd>

    
    <div class="description">
        <p>called when settings based on the schema the module provides, are changed</p>
    </div>
    

    

    

    
    
        <h5>Parameters:</h5>
        

<table class="params table table-striped">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>new_settings</code></td>
            

            <td class="type">
            
                
<span class="param-type">Object</span>



            
            </td>

            

            

            <td class="description last"><p>changed settings based on perferences schema of this plugin</p></td>
        </tr>

    
    </tbody>
</table>

    

    
<dl class="details">
    

	

	

	

    

    

    

    

	

	

	

	

	



	
	<dt class="tag-source method-doc-label method-doc-details-label">Source:</dt>
	<dd class="tag-source">
		<ul class="dummy">
			<li>
				<a href="tradfri_tradfri.js.html">tradfri/tradfri.js</a>,
				 <a href="tradfri_tradfri.js.html#sunlight-1-line-70">line 70</a>
			</li>
		</ul>
	</dd>
	

	

	

	
</dl>


    

    

    

    

    

    

    
</dd>

        
            
<hr>
<dt>
    <h4 class="name" id="~command"><span class="type-signature">&lt;inner> </span>command()</h4>
    
    
</dt>
<dd>

    
    <div class="description">
        <p>handle commands forwarded by game</p>
    </div>
    

    

    

    
    

    
<dl class="details">
    

	

	

	

    

    

    

    

	

	

	

	

	



	
	<dt class="tag-source method-doc-label method-doc-details-label">Source:</dt>
	<dd class="tag-source">
		<ul class="dummy">
			<li>
				<a href="tradfri_tradfri.js.html">tradfri/tradfri.js</a>,
				 <a href="tradfri_tradfri.js.html#sunlight-1-line-78">line 78</a>
			</li>
		</ul>
	</dd>
	

	

	

	
</dl>


    

    

    

    

    

    

    
</dd>

        </dl>
    

    

    
</article>

</section>




		</div>
	</div>

	<div class="clearfix"></div>

	
		<div class="col-md-3">
			<div id="toc" class="col-md-3 hidden-xs hidden-sm hidden-md"></div>
		</div>
	

</div>
</div>


    <div class="modal fade" id="searchResults">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            <h4 class="modal-title">Search results</h4>
          </div>
          <div class="modal-body"></div>
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
          </div>
        </div><!-- /.modal-content -->
      </div><!-- /.modal-dialog -->
    </div>


<footer>

	 | <a href='https://plaitools.gitlab.io/documentation/plaiframe/'>Plaiframe Documentation</a> | <a href='https://plaitools.gitlab.io/documentation/plaiframe/webview/'>Webview Documentation</a> | <a href='https://gitlab.com/plaitools'>Plaitools on Gitlab</a>


	<span class="copyright">
	© 2020 Lasse Marburg, Benedikt Kaffai
	</span>

<span class="jsdoc-message">
	Documentation generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc 3.5.5</a>
	
		on Mon Jun 8th 2020
	
	using the <a href="https://github.com/docstrap/docstrap">DocStrap template</a>.
</span>
</footer>

<script src="scripts/docstrap.lib.js"></script>
<script src="scripts/toc.js"></script>

    <script type="text/javascript" src="scripts/fulltext-search-ui.js"></script>


<script>
$( function () {
	$( "[id*='$']" ).each( function () {
		var $this = $( this );

		$this.attr( "id", $this.attr( "id" ).replace( "$", "__" ) );
	} );

	$( ".tutorial-section pre, .readme-section pre, pre.prettyprint.source" ).each( function () {
		var $this = $( this );

		var example = $this.find( "code" );
		exampleText = example.html();
		var lang = /{@lang (.*?)}/.exec( exampleText );
		if ( lang && lang[1] ) {
			exampleText = exampleText.replace( lang[0], "" );
			example.html( exampleText );
			lang = lang[1];
		} else {
			var langClassMatch = example.parent()[0].className.match(/lang\-(\S+)/);
			lang = langClassMatch ? langClassMatch[1] : "javascript";
		}

		if ( lang ) {

			$this
			.addClass( "sunlight-highlight-" + lang )
			.addClass( "linenums" )
			.html( example.html() );

		}
	} );

	Sunlight.highlightAll( {
		lineNumbers : true,
		showMenu : true,
		enableDoclinks : true
	} );

	$.catchAnchorLinks( {
        navbarOffset: 10
	} );
	$( "#toc" ).toc( {
		anchorName  : function ( i, heading, prefix ) {
			return $( heading ).attr( "id" ) || ( prefix + i );
		},
		selectors   : "#toc-content h1,#toc-content h2,#toc-content h3,#toc-content h4",
		showAndHide : false,
		smoothScrolling: true
	} );

	$( "#main span[id^='toc']" ).addClass( "toc-shim" );
	$( '.dropdown-toggle' ).dropdown();

    $( "table" ).each( function () {
      var $this = $( this );
      $this.addClass('table');
    } );

} );
</script>



<!--Navigation and Symbol Display-->


<!--Google Analytics-->



    <script type="text/javascript">
        $(document).ready(function() {
            SearcherDisplay.init();
        });
    </script>


</body>
</html>